From: Jonathan McDowell <noodles@earth.li>
Date: Sun, 4 Mar 2007 20:19:17 +0000 (+0000)
Subject: Fixup config file for Debian package upgrades
X-Git-Url: https://git.sommitrealweird.co.uk/onak.git/commitdiff_plain/3a4a4af9f18efe59713deaec8a455cc825470865

Fixup config file for Debian package upgrades
We now need to configure a suitable DB backend and are also using the
mail_dir setting, so we need to add/fix these in onak.conf for package
upgrades.
---

diff --git a/debian/postinst b/debian/postinst
index b521528..a1de8b8 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -30,4 +30,18 @@ if [ "$1" = "configure" ]; then
             dpkg-statoverride --update --add onak root 4755 $i
         fi
     done
+
+    # If we don't have a DB backend defined, then add appropriate config
+    if ! grep -q db_backend /etc/onak.conf; then
+        echo "# Auto added on package update" >> /etc/onak.conf
+        echo "backends_dir /usr/lib/onak/backends" >> /etc/onak.conf
+        echo "db_backend db4" >> /etc/onak.conf
+    fi
+
+    # If we still have the old default mail_dir setting, fix it
+    if grep -q "mail_dir /community/pgp-keyserver/incoming" /etc/onak.conf; then
+        sed -i.bak "s/community\/pgp-keyserver\/incoming/var\/spool\/onak/" \
+		/etc/onak.conf
+    fi
+
 fi